fix(self-update): respect option flags

Signed-off-by: Vladislav Doster <mvdoster@gmail.com>
This commit is contained in:
Vladislav Doster 2024-01-26 06:58:09 +00:00
parent 4fb3c942b5
commit 77c3743319
2 changed files with 3 additions and 4 deletions

View file

@ -58,7 +58,7 @@ jobs:
- name: "install dependencies"
id: install-deps
run: |
brew install --force --overwrite autoconf automake binutils byacc cmake coreutils curl gettext gnu-sed libevent libtool libuv lua lua@5.1 make ncurses ninja parallel pkg-config texinfo unzip xz zsh
brew install --force --overwrite automake binutils byacc coreutils gnu-sed libuv lua lua@5.1 make ninja texinfo unzip zsh
brew link --force --overwrite ncurses
- name: "install zunit"

View file

@ -40,12 +40,11 @@ command git diff > ${ZINIT[HOME_DIR]}/unstaged.diff
# info 'creating test env'
git clone \
--quiet \
--depth=1 \
--dissociate \
--no-hardlinks \
--reference "${GIT_REPO}" \
file://${GIT_REPO:A} \
"${ZINIT[BIN_DIR]}" >/dev/null
"${ZINIT[BIN_DIR]}"
if (( $? != 0 )); then
error "Unable to copy ${GIT_REPO} to ${TMP_ZUNIT}" >&2
exit 1
@ -56,7 +55,7 @@ if [[ -s $ZINIT[HOME_DIR]/unstaged.diff ]]; then
git -C "${ZINIT[BIN_DIR]}" apply "${ZINIT[HOME_DIR]}/unstaged.diff" && \
chmod g-rwX "${ZINIT[HOME_DIR]}" && \
zcompile "${ZINIT[BIN_DIR]}/zinit.zsh" >/dev/null
) >/dev/null
)
fi
(( $? != 0 )) && { error "Unable to copy ${GIT_REPO} to ${TMP_ZUNIT}" >&2; exit 1 }